URL: /api/1.0/xmppdomains/<fqdn>/users/<username>/acl
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | Specify XMPP Domain user belongs to |
| username | required | Specify XMPP User Name |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
| Response Fields | Description |
|---|---|
| username | Username |
| xmppDomain | XMPP Domain name that the user belongs to |
| jid | User’s full jid |
| acl | Structure containing current ACL memberships |
| aclLabels | Structure containing friendly ACL names |
Example JSON response to GET:
{
"acl": {
"muc": false,
"mucAdmin": false,
"mucCreate": false,
"pubsubCreate": true,
"xmppgateway": false
},
"aclLabels": {
"muc": "Access Multi User Chats (muc)",
"mucAdmin": "Administer Multi User Chats (muc_admin)",
"mucCreate": "Create Multi User Chats (muc_create)",
"pubsubCreate": "Create PubSub Nodes (pubsub_create)",
"xmppgateway": "Send messages using the HTTP API (xmppgateway)"
},
"jid": "0d950297-e977-48a3-becc-9aade33a1fe1@eybh.chatwith.dev.chatmongers.net",
"resourceUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net/users/0d950297-e977-48a3-becc-9aade33a1fe1/acl?format=json",
"username": "0d950297-e977-48a3-becc-9aade33a1fe1",
"xmppDomain": "eybh.chatwith.dev.chatmongers.net",
"xmppDomainUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net?format=json",
"xmppUserUri": "/api/1.0/xmppdomains/eybh.chatwith.dev.chatmongers.net/users/0d950297-e977-48a3-becc-9aade33a1fe1?format=json"
}
URL: /api/1.0/xmppdomains/<fqdn>/users/<username>/acl
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | Specify XMPP Domain user belongs to |
| username | required | Specify XMPP User Name |
| Request | |
|---|---|
| Content-type | application/json |
| JSON Parameters | Description |
|---|---|
| acl | Structure with keys as acl names and values as True or False values indicating ACL membership. |
Example ACL update JSON:
{
"acl": {
"muc": false,
"mucAdmin": false,
"mucCreate": false,
"pubsubCreate": true,
"xmppgateway": true
}
}
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |